## rust-spytrap-adb 0.3.5

=== Makefile ===
build:
	repro-env build -- sh -c ' \
	RUSTFLAGS="-C strip=symbols" \
	cargo build --target x86_64-unknown-linux-musl --release'

.PHONY: build

## rust-spytrap-adb 0.3.2

=== debian/changelog ===
rust-spytrap-adb (0.3.2-3) unstable; urgency=medium

  * Team upload.
  * Adapt to ratatui update to 0.28

 -- Blair Noctis <ncts@debian.org>  Sun, 01 Sep 2024 01:06:32 +0000

rust-spytrap-adb (0.3.2-2) unstable; urgency=medium

  * Team upload
  * Package spytrap-adb 0.3.2 from crates.io using debcargo 2.6.1
  * Add Build-Depends: adb

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 24 Aug 2024 10:20:50 -0400

rust-spytrap-adb (0.3.2-1) unstable; urgency=medium

  * Package spytrap-adb 0.3.2 from crates.io using debcargo 2.6.1

 -- kpcyrd <git@rxv.cc>  Tue, 30 Jul 2024 13:19:54 +0200

=== debian/control ===
Source: rust-spytrap-adb
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-anyhow-1+default-dev (>= 1.0.44-~~),
 librust-bstr-1+default-dev (>= 1.7-~~),
 librust-chrono-0.4+clock-dev (>= 0.4.19-~~),
 librust-clap-4+default-dev,
 librust-clap-4+derive-dev,
 librust-clap-4+env-dev,
 librust-clap-complete-4+default-dev (>= 4.2.1-~~),
 librust-crossterm-0.27+default-dev,
 librust-crossterm-0.27+event-stream-dev,
 librust-dirs-5+default-dev,
 librust-env-logger-0.10+default-dev,
 librust-forensic-adb-0.7+default-dev,
 librust-hex-0.4+default-dev (>= 0.4.3-~~),
 librust-indexmap-2+default-dev,
 librust-indexmap-2+serde-dev,
 librust-log-0.4+default-dev (>= 0.4.14-~~),
 librust-ratatui-0.28+default-dev | librust-ratatui-0.27+default-dev | librust-ratatui-0.26+default-dev | librust-ratatui-0.25+default-dev,
 librust-regex-1+default-dev (>= 1.5.4-~~),
 librust-reqwest-0.11+brotli-dev,
 librust-reqwest-0.11+deflate-dev,
 librust-reqwest-0.11+gzip-dev,
 librust-reqwest-0.11+json-dev,
 librust-reqwest-0.11+rustls-tls-native-roots-dev,
 librust-serde-1+default-dev (>= 1.0.130-~~),
 librust-serde-1+derive-dev (>= 1.0.130-~~),
 librust-serde-json-1+default-dev (>= 1.0.95-~~),
 librust-serde-yaml-0.9+default-dev,
 librust-sha2-0.10+default-dev (>= 0.10.6-~~),
 librust-shell-escape-0.1+default-dev (>= 0.1.5-~~),
 librust-stalkerware-indicators-0.2+default-dev,
 librust-tokio-1+default-dev (>= 1.26.0-~~),
 librust-tokio-1+macros-dev (>= 1.26.0-~~),
 librust-tokio-1+process-dev (>= 1.26.0-~~),
 librust-tokio-1+rt-multi-thread-dev (>= 1.26.0-~~),
 librust-tokio-stream-0.1+default-dev (>= 0.1.12-~~),
 adb,
 help2man
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 kpcyrd <git@rxv.cc>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/spytrap-adb]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/spytrap-adb
X-Cargo-Crate: spytrap-adb
Rules-Requires-Root: no

Package: librust-spytrap-adb-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-anyhow-1+default-dev (>= 1.0.44-~~),
 librust-bstr-1+default-dev (>= 1.7-~~),
 librust-chrono-0.4+clock-dev (>= 0.4.19-~~),
 librust-clap-4+default-dev,
 librust-clap-4+derive-dev,
 librust-clap-4+env-dev,
 librust-clap-complete-4+default-dev (>= 4.2.1-~~),
 librust-crossterm-0.27+default-dev,
 librust-crossterm-0.27+event-stream-dev,
 librust-dirs-5+default-dev,
 librust-env-logger-0.10+default-dev,
 librust-forensic-adb-0.7+default-dev,
 librust-hex-0.4+default-dev (>= 0.4.3-~~),
 librust-indexmap-2+default-dev,
 librust-indexmap-2+serde-dev,
 librust-log-0.4+default-dev (>= 0.4.14-~~),
 librust-ratatui-0.28+default-dev | librust-ratatui-0.27+default-dev | librust-ratatui-0.26+default-dev | librust-ratatui-0.25+default-dev,
 librust-regex-1+default-dev (>= 1.5.4-~~),
 librust-reqwest-0.11+brotli-dev,
 librust-reqwest-0.11+deflate-dev,
 librust-reqwest-0.11+gzip-dev,
 librust-reqwest-0.11+json-dev,
 librust-reqwest-0.11+rustls-tls-native-roots-dev,
 librust-serde-1+default-dev (>= 1.0.130-~~),
 librust-serde-1+derive-dev (>= 1.0.130-~~),
 librust-serde-json-1+default-dev (>= 1.0.95-~~),
 librust-serde-yaml-0.9+default-dev,
 librust-sha2-0.10+default-dev (>= 0.10.6-~~),
 librust-shell-escape-0.1+default-dev (>= 0.1.5-~~),
 librust-stalkerware-indicators-0.2+default-dev,
 librust-tokio-1+default-dev (>= 1.26.0-~~),
 librust-tokio-1+macros-dev (>= 1.26.0-~~),
 librust-tokio-1+process-dev (>= 1.26.0-~~),
 librust-tokio-1+rt-multi-thread-dev (>= 1.26.0-~~),
 librust-tokio-stream-0.1+default-dev (>= 0.1.12-~~)
Provides:
 librust-spytrap-adb+default-dev (= ${binary:Version}),
 librust-spytrap-adb-0-dev (= ${binary:Version}),
 librust-spytrap-adb-0+default-dev (= ${binary:Version}),
 librust-spytrap-adb-0.3-dev (= ${binary:Version}),
 librust-spytrap-adb-0.3+default-dev (= ${binary:Version}),
 librust-spytrap-adb-0.3.2-dev (= ${binary:Version}),
 librust-spytrap-adb-0.3.2+default-dev (= ${binary:Version})
Description: Test a phone for stalkerware using adb and usb debugging - Rust source code
 Source code for Debianized Rust crate "spytrap-adb"

Package: spytrap-adb
Architecture: any
Multi-Arch: allowed
Section: utils
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends},
 adb
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: Test a phone for stalkerware using adb and usb debugging
 This package contains the following binaries built from the Rust crate
 "spytrap-adb":
  - spytrap-adb

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test spytrap-adb 0.3.2 --all-targets --all-features
Features: test-name=rust-spytrap-adb:@
Depends: dh-cargo (>= 18), librust-maplit-1+default-dev (>= 1.0.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test spytrap-adb 0.3.2 --all-targets
Features: test-name=librust-spytrap-adb-dev:default
Depends: dh-cargo (>= 18), librust-maplit-1+default-dev (>= 1.0.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test spytrap-adb 0.3.2 --all-targets --no-default-features
Features: test-name=librust-spytrap-adb-dev:
Depends: dh-cargo (>= 18), librust-maplit-1+default-dev (>= 1.0.2-~~), @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/spytrap-adb-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/spytrap-adb .*/crates/spytrap-adb/@ANY_VERSION@/download

## rust-spytrap-adb 0.3.3

=== debian/changelog ===
rust-spytrap-adb (0.3.3-2) unstable; urgency=medium

  * Team upload.
  * Package spytrap-adb 0.3.3 from crates.io using debcargo 2.7.5
  * Bump env_logger dependency to v0.11

 -- NoisyCoil <noisycoil@tutanota.com>  Tue, 31 Dec 2024 13:24:25 +0100

rust-spytrap-adb (0.3.3-1) unstable; urgency=medium

  * Package spytrap-adb 0.3.3 from crates.io using debcargo 2.7.4

 -- kpcyrd <git@rxv.cc>  Tue, 10 Dec 2024 23:55:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: rust-spytrap-adb
 Section: rust
 Priority: optional
-Build-Depends: debhelper (>= 12),
- dh-cargo (>= 25),
+Build-Depends: debhelper-compat (= 13),
+ dh-sequence-cargo,
  cargo:native,
  rustc:native,
  libstd-rust-dev,
@@ -16,13 +16,13 @@
  librust-crossterm-0.27+default-dev,
  librust-crossterm-0.27+event-stream-dev,
  librust-dirs-5+default-dev,
- librust-env-logger-0.10+default-dev,
+ librust-env-logger-0.11+default-dev,
  librust-forensic-adb-0.7+default-dev,
  librust-hex-0.4+default-dev (>= 0.4.3-~~),
  librust-indexmap-2+default-dev,
  librust-indexmap-2+serde-dev,
  librust-log-0.4+default-dev (>= 0.4.14-~~),
- librust-ratatui-0.28+default-dev | librust-ratatui-0.27+default-dev | librust-ratatui-0.26+default-dev | librust-ratatui-0.25+default-dev,
+ librust-ratatui-0.28+default-dev,
  librust-regex-1+default-dev (>= 1.5.4-~~),
  librust-reqwest-0.11+brotli-dev,
  librust-reqwest-0.11+deflate-dev,
@@ -46,9 +46,10 @@
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  kpcyrd <git@rxv.cc>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/spytrap-adb]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/spytrap-adb
+Homepage: https://github.com/spytrap-org/spytrap-adb
 X-Cargo-Crate: spytrap-adb
 Rules-Requires-Root: no
 
@@ -67,13 +68,13 @@
  librust-crossterm-0.27+default-dev,
  librust-crossterm-0.27+event-stream-dev,
  librust-dirs-5+default-dev,
- librust-env-logger-0.10+default-dev,
+ librust-env-logger-0.11+default-dev,
  librust-forensic-adb-0.7+default-dev,
  librust-hex-0.4+default-dev (>= 0.4.3-~~),
  librust-indexmap-2+default-dev,
  librust-indexmap-2+serde-dev,
  librust-log-0.4+default-dev (>= 0.4.14-~~),
- librust-ratatui-0.28+default-dev | librust-ratatui-0.27+default-dev | librust-ratatui-0.26+default-dev | librust-ratatui-0.25+default-dev,
+ librust-ratatui-0.28+default-dev,
  librust-regex-1+default-dev (>= 1.5.4-~~),
  librust-reqwest-0.11+brotli-dev,
  librust-reqwest-0.11+deflate-dev,
@@ -98,8 +99,8 @@
  librust-spytrap-adb-0+default-dev (= ${binary:Version}),
  librust-spytrap-adb-0.3-dev (= ${binary:Version}),
  librust-spytrap-adb-0.3+default-dev (= ${binary:Version}),
- librust-spytrap-adb-0.3.2-dev (= ${binary:Version}),
- librust-spytrap-adb-0.3.2+default-dev (= ${binary:Version})
+ librust-spytrap-adb-0.3.3-dev (= ${binary:Version}),
+ librust-spytrap-adb-0.3.3+default-dev (= ${binary:Version})
 Description: Test a phone for stalkerware using adb and usb debugging - Rust source code
  Source code for Debianized Rust crate "spytrap-adb"
 
@@ -119,7 +120,7 @@
 Provides:
  ${cargo:Provides}
 Built-Using: ${cargo:Built-Using}
-XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
+Static-Built-Using: ${cargo:Static-Built-Using}
 Description: Test a phone for stalkerware using adb and usb debugging
  This package contains the following binaries built from the Rust crate
  "spytrap-adb":

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test spytrap-adb 0.3.3 --all-targets --all-features
Features: test-name=rust-spytrap-adb:@
Depends: dh-cargo (>= 31), rustc, librust-maplit-1+default-dev (>= 1.0.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test spytrap-adb 0.3.3 --all-targets
Features: test-name=librust-spytrap-adb-dev:default
Depends: dh-cargo (>= 31), rustc, librust-maplit-1+default-dev (>= 1.0.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test spytrap-adb 0.3.3 --all-targets --no-default-features
Features: test-name=librust-spytrap-adb-dev:
Depends: dh-cargo (>= 31), rustc, librust-maplit-1+default-dev (>= 1.0.2-~~), @
Restrictions: allow-stderr, skip-not-installable

## rust-spytrap-adb 0.3.4

=== debian/changelog ===
rust-spytrap-adb (0.3.4-2) unstable; urgency=medium

  * Team upload.
  * Package spytrap-adb 0.3.4 from crates.io using debcargo 2.7.8
  * Bump dependency on reqwest to 0.12.12.

 -- Peter Michael Green <plugwash@debian.org>  Wed, 26 Mar 2025 06:29:32 +0000

rust-spytrap-adb (0.3.4-1) unstable; urgency=medium

  * Package spytrap-adb 0.3.4 from crates.io using debcargo 2.7.8
  * Fix missing download read-timeout

 -- kpcyrd <git@rxv.cc>  Fri, 21 Mar 2025 14:02:06 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,13 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
  dh-sequence-cargo,
- cargo:native,
+ adb,
+ help2man
+Build-Depends-Arch: cargo:native,
  rustc:native,
  libstd-rust-dev,
  librust-anyhow-1+default-dev (>= 1.0.44-~~),
- librust-bstr-1+default-dev (>= 1.7-~~),
+ librust-bstr-1+default-dev (>= 1.9.1-~~),
  librust-chrono-0.4+clock-dev (>= 0.4.19-~~),
  librust-clap-4+default-dev,
  librust-clap-4+derive-dev,
@@ -17,18 +19,18 @@
  librust-crossterm-0.27+event-stream-dev,
  librust-dirs-5+default-dev,
  librust-env-logger-0.11+default-dev,
- librust-forensic-adb-0.7+default-dev,
+ librust-forensic-adb-0.8+default-dev,
  librust-hex-0.4+default-dev (>= 0.4.3-~~),
  librust-indexmap-2+default-dev,
  librust-indexmap-2+serde-dev,
  librust-log-0.4+default-dev (>= 0.4.14-~~),
  librust-ratatui-0.28+default-dev,
  librust-regex-1+default-dev (>= 1.5.4-~~),
- librust-reqwest-0.11+brotli-dev,
- librust-reqwest-0.11+deflate-dev,
- librust-reqwest-0.11+gzip-dev,
- librust-reqwest-0.11+json-dev,
- librust-reqwest-0.11+rustls-tls-native-roots-dev,
+ librust-reqwest-0.12+brotli-dev (>= 0.12.12-~~),
+ librust-reqwest-0.12+deflate-dev (>= 0.12.12-~~),
+ librust-reqwest-0.12+gzip-dev (>= 0.12.12-~~),
+ librust-reqwest-0.12+json-dev (>= 0.12.12-~~),
+ librust-reqwest-0.12+rustls-tls-native-roots-dev (>= 0.12.12-~~),
  librust-serde-1+default-dev (>= 1.0.130-~~),
  librust-serde-1+derive-dev (>= 1.0.130-~~),
  librust-serde-json-1+default-dev (>= 1.0.95-~~),
@@ -40,9 +42,7 @@
  librust-tokio-1+macros-dev (>= 1.26.0-~~),
  librust-tokio-1+process-dev (>= 1.26.0-~~),
  librust-tokio-1+rt-multi-thread-dev (>= 1.26.0-~~),
- librust-tokio-stream-0.1+default-dev (>= 0.1.12-~~),
- adb,
- help2man
+ librust-tokio-stream-0.1+default-dev (>= 0.1.12-~~)
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  kpcyrd <git@rxv.cc>
@@ -59,7 +59,7 @@
 Depends:
  ${misc:Depends},
  librust-anyhow-1+default-dev (>= 1.0.44-~~),
- librust-bstr-1+default-dev (>= 1.7-~~),
+ librust-bstr-1+default-dev (>= 1.9.1-~~),
  librust-chrono-0.4+clock-dev (>= 0.4.19-~~),
  librust-clap-4+default-dev,
  librust-clap-4+derive-dev,
@@ -69,18 +69,18 @@
  librust-crossterm-0.27+event-stream-dev,
  librust-dirs-5+default-dev,
  librust-env-logger-0.11+default-dev,
- librust-forensic-adb-0.7+default-dev,
+ librust-forensic-adb-0.8+default-dev,
  librust-hex-0.4+default-dev (>= 0.4.3-~~),
  librust-indexmap-2+default-dev,
  librust-indexmap-2+serde-dev,
  librust-log-0.4+default-dev (>= 0.4.14-~~),
  librust-ratatui-0.28+default-dev,
  librust-regex-1+default-dev (>= 1.5.4-~~),
- librust-reqwest-0.11+brotli-dev,
- librust-reqwest-0.11+deflate-dev,
- librust-reqwest-0.11+gzip-dev,
- librust-reqwest-0.11+json-dev,
- librust-reqwest-0.11+rustls-tls-native-roots-dev,
+ librust-reqwest-0.12+brotli-dev (>= 0.12.12-~~),
+ librust-reqwest-0.12+deflate-dev (>= 0.12.12-~~),
+ librust-reqwest-0.12+gzip-dev (>= 0.12.12-~~),
+ librust-reqwest-0.12+json-dev (>= 0.12.12-~~),
+ librust-reqwest-0.12+rustls-tls-native-roots-dev (>= 0.12.12-~~),
  librust-serde-1+default-dev (>= 1.0.130-~~),
  librust-serde-1+derive-dev (>= 1.0.130-~~),
  librust-serde-json-1+default-dev (>= 1.0.95-~~),
@@ -99,8 +99,8 @@
  librust-spytrap-adb-0+default-dev (= ${binary:Version}),
  librust-spytrap-adb-0.3-dev (= ${binary:Version}),
  librust-spytrap-adb-0.3+default-dev (= ${binary:Version}),
- librust-spytrap-adb-0.3.3-dev (= ${binary:Version}),
- librust-spytrap-adb-0.3.3+default-dev (= ${binary:Version})
+ librust-spytrap-adb-0.3.4-dev (= ${binary:Version}),
+ librust-spytrap-adb-0.3.4+default-dev (= ${binary:Version})
 Description: Test a phone for stalkerware using adb and usb debugging - Rust source code
  Source code for Debianized Rust crate "spytrap-adb"
 
@@ -114,7 +114,8 @@
  ${cargo:Depends},
  adb
 Recommends:
- ${cargo:Recommends}
+ ${cargo:Recommends},
+ ca-certificates
 Suggests:
  ${cargo:Suggests}
 Provides:

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test spytrap-adb 0.3.4 --all-targets --all-features
Features: test-name=rust-spytrap-adb:@
Depends: dh-cargo (>= 31), rustc, librust-maplit-1+default-dev (>= 1.0.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test spytrap-adb 0.3.4 --all-targets
Features: test-name=librust-spytrap-adb-dev:default
Depends: dh-cargo (>= 31), rustc, librust-maplit-1+default-dev (>= 1.0.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test spytrap-adb 0.3.4 --all-targets --no-default-features
Features: test-name=librust-spytrap-adb-dev:
Depends: dh-cargo (>= 31), rustc, librust-maplit-1+default-dev (>= 1.0.2-~~), @
Restrictions: allow-stderr, skip-not-installable

## rust-spytrap-adb 0.3.5

=== debian/changelog ===
rust-spytrap-adb (0.3.5-3) unstable; urgency=medium

  * Team upload.
  * Package spytrap-adb 0.3.5 from crates.io using debcargo 2.7.10

 -- James McCoy <jamessan@debian.org>  Sat, 27 Sep 2025 14:55:24 -0400

rust-spytrap-adb (0.3.5-2) experimental; urgency=medium

  * Team upload.
  * Package spytrap-adb 0.3.5 from crates.io using debcargo 2.7.10
  * Relax crossterm dependency to support versions >= 0.27, < 0.30

 -- James McCoy <jamessan@debian.org>  Wed, 24 Sep 2025 22:20:26 -0400

rust-spytrap-adb (0.3.5-1) unstable; urgency=medium

  * Package spytrap-adb 0.3.5 from crates.io using debcargo 2.7.8
  * Fix a bug with results not being displayed correctly
    https://github.com/spytrap-org/spytrap-adb/pull/65

 -- kpcyrd <git@rxv.cc>  Sat, 21 Jun 2025 23:20:39 +0200

=== debian/control ===
--- 
+++ 
@@ -15,8 +15,10 @@
  librust-clap-4+derive-dev,
  librust-clap-4+env-dev,
  librust-clap-complete-4+default-dev (>= 4.2.1-~~),
- librust-crossterm-0.27+default-dev,
- librust-crossterm-0.27+event-stream-dev,
+ librust-crossterm+default-dev (<< 0.30-~~),
+ librust-crossterm+default-dev (>= 0.27-~~),
+ librust-crossterm+event-stream-dev (<< 0.30-~~),
+ librust-crossterm+event-stream-dev (>= 0.27-~~),
  librust-dirs-5+default-dev,
  librust-env-logger-0.11+default-dev,
  librust-forensic-adb-0.8+default-dev,
@@ -26,11 +28,11 @@
  librust-log-0.4+default-dev (>= 0.4.14-~~),
  librust-ratatui-0.28+default-dev,
  librust-regex-1+default-dev (>= 1.5.4-~~),
- librust-reqwest-0.12+brotli-dev (>= 0.12.12-~~),
- librust-reqwest-0.12+deflate-dev (>= 0.12.12-~~),
- librust-reqwest-0.12+gzip-dev (>= 0.12.12-~~),
- librust-reqwest-0.12+json-dev (>= 0.12.12-~~),
- librust-reqwest-0.12+rustls-tls-native-roots-dev (>= 0.12.12-~~),
+ librust-reqwest-0.12+brotli-dev,
+ librust-reqwest-0.12+deflate-dev,
+ librust-reqwest-0.12+gzip-dev,
+ librust-reqwest-0.12+json-dev,
+ librust-reqwest-0.12+rustls-tls-native-roots-dev,
  librust-serde-1+default-dev (>= 1.0.130-~~),
  librust-serde-1+derive-dev (>= 1.0.130-~~),
  librust-serde-json-1+default-dev (>= 1.0.95-~~),
@@ -46,7 +48,7 @@
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  kpcyrd <git@rxv.cc>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/spytrap-adb]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/spytrap-adb
 Homepage: https://github.com/spytrap-org/spytrap-adb
@@ -65,8 +67,10 @@
  librust-clap-4+derive-dev,
  librust-clap-4+env-dev,
  librust-clap-complete-4+default-dev (>= 4.2.1-~~),
- librust-crossterm-0.27+default-dev,
- librust-crossterm-0.27+event-stream-dev,
+ librust-crossterm+default-dev (<< 0.30-~~),
+ librust-crossterm+default-dev (>= 0.27-~~),
+ librust-crossterm+event-stream-dev (<< 0.30-~~),
+ librust-crossterm+event-stream-dev (>= 0.27-~~),
  librust-dirs-5+default-dev,
  librust-env-logger-0.11+default-dev,
  librust-forensic-adb-0.8+default-dev,
@@ -76,11 +80,11 @@
  librust-log-0.4+default-dev (>= 0.4.14-~~),
  librust-ratatui-0.28+default-dev,
  librust-regex-1+default-dev (>= 1.5.4-~~),
- librust-reqwest-0.12+brotli-dev (>= 0.12.12-~~),
- librust-reqwest-0.12+deflate-dev (>= 0.12.12-~~),
- librust-reqwest-0.12+gzip-dev (>= 0.12.12-~~),
- librust-reqwest-0.12+json-dev (>= 0.12.12-~~),
- librust-reqwest-0.12+rustls-tls-native-roots-dev (>= 0.12.12-~~),
+ librust-reqwest-0.12+brotli-dev,
+ librust-reqwest-0.12+deflate-dev,
+ librust-reqwest-0.12+gzip-dev,
+ librust-reqwest-0.12+json-dev,
+ librust-reqwest-0.12+rustls-tls-native-roots-dev,
  librust-serde-1+default-dev (>= 1.0.130-~~),
  librust-serde-1+derive-dev (>= 1.0.130-~~),
  librust-serde-json-1+default-dev (>= 1.0.95-~~),
@@ -99,14 +103,13 @@
  librust-spytrap-adb-0+default-dev (= ${binary:Version}),
  librust-spytrap-adb-0.3-dev (= ${binary:Version}),
  librust-spytrap-adb-0.3+default-dev (= ${binary:Version}),
- librust-spytrap-adb-0.3.4-dev (= ${binary:Version}),
- librust-spytrap-adb-0.3.4+default-dev (= ${binary:Version})
+ librust-spytrap-adb-0.3.5-dev (= ${binary:Version}),
+ librust-spytrap-adb-0.3.5+default-dev (= ${binary:Version})
 Description: Test a phone for stalkerware using adb and usb debugging - Rust source code
  Source code for Debianized Rust crate "spytrap-adb"
 
 Package: spytrap-adb
 Architecture: any
-Multi-Arch: allowed
 Section: utils
 Depends:
  ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem cargo

execute_before_dh_install:
	debian/spytrap-adb/usr/bin/spytrap-adb completions bash > debian/spytrap-adb.bash
	debian/spytrap-adb/usr/bin/spytrap-adb completions fish > debian/spytrap-adb.fish
	debian/spytrap-adb/usr/bin/spytrap-adb completions zsh > debian/_spytrap-adb

execute_before_dh_installman:
	help2man \
		--name spytrap-adb \
		--no-info \
		debian/spytrap-adb/usr/bin/spytrap-adb > debian/spytrap-adb.1

override_dh_dwz:
	# Don't do anything. fails because of the
	# https://github.com/rust-lang/rust/issues/66118

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test spytrap-adb 0.3.5 --all-targets --all-features
Features: test-name=rust-spytrap-adb:@
Depends: dh-cargo (>= 31), rustc, librust-maplit-1+default-dev (>= 1.0.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test spytrap-adb 0.3.5 --all-targets
Features: test-name=librust-spytrap-adb-dev:default
Depends: dh-cargo (>= 31), rustc, librust-maplit-1+default-dev (>= 1.0.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test spytrap-adb 0.3.5 --all-targets --no-default-features
Features: test-name=librust-spytrap-adb-dev:
Depends: dh-cargo (>= 31), rustc, librust-maplit-1+default-dev (>= 1.0.2-~~), @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/spytrap-adb-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/spytrap-adb .*/crates/spytrap-adb/@ANY_VERSION@/download
